import matplotlib.pyplot as plt
numargs = gamma.numargs
[ a ] = [0.9,] * numargs
rv = gamma(a)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = gamma.cdf(x, a)
h = plt.semilogy(np.abs(x - gamma.ppf(prb, a)) + 1e-20)

# Random number generation

R = gamma.rvs(a, size=100)
